# Method: drives.delete

- [HTTP request](https://developers.google.com/workspace/drive/api/reference/rest/v2/drives/delete#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/drive/api/reference/rest/v2/drives/delete#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/workspace/drive/api/reference/rest/v2/drives/delete#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/workspace/drive/api/reference/rest/v2/drives/delete#body.request_body)
- [Response body](https://developers.google.com/workspace/drive/api/reference/rest/v2/drives/delete#body.response_body)
- [Authorization scopes](https://developers.google.com/workspace/drive/api/reference/rest/v2/drives/delete#body.aspect)
- [Try it!](https://developers.google.com/workspace/drive/api/reference/rest/v2/drives/delete#try-it)

Permanently deletes a shared drive for which the user is an `organizer`. The shared drive cannot contain any untrashed items.

### HTTP request

`DELETE https://www.googleapis.com/drive/v2/drives/{driveId}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `driveId` | `string` The ID of the shared drive. |

### Query parameters

| Parameters ||
|---|---|
| `useDomainAdminAccess` | `boolean` Issue the request as a domain administrator; if set to true, then the requester will be granted access if they are an administrator of the domain to which the shared drive belongs. |
| `allowItemDeletion` | `boolean` Whether any items inside the shared drive should also be deleted. This option is only supported when `useDomainAdminAccess` is also set to `true`. |

### Request body

The request body must be empty.

### Response body

If successful, the response body is an empty JSON object.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/drive`

Some scopes are restricted and require a security assessment for your app to use them. For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).